Update an existing Protocol Template

Prev Next
Put
/entitlements/protocol-templates/{id}

Update an existing Protocol Template.

Security
HTTP
Type bearer
Path parameters
id
string (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425
Body parameters

Protocol Template object.

object

A named template of ports for a specific IP access subtype, used as a shortcut when populating entitlement actions.

id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string Required

Name of the object.

ExampleHTTPS
notes
string

Notes for the object. Used for documentation purposes.

ExampleTemplate for HTTPS traffic.
subtype
string Required

IP access subtype this template applies to.

Valid values[ "tcp_up", "udp_up" ]
ports
Array of string Required

Ports the template pre-populates. Each entry may be a port or port range (e.g. "80", "8000-8080").

Min items1
Example[ "443", "8443" ]
string
Responses
200

Updated Protocol Template.

object

A named template of ports for a specific IP access subtype, used as a shortcut when populating entitlement actions.

id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string

Name of the object.

ExampleHTTPS
notes
string

Notes for the object. Used for documentation purposes.

ExampleTemplate for HTTPS traffic.
subtype
string

IP access subtype this template applies to.

Valid values[ "tcp_up", "udp_up" ]
ports
Array of string

Ports the template pre-populates. Each entry may be a port or port range (e.g. "80", "8000-8080").

Min items1
Example[ "443", "8443" ]
string
created
string (date-time)

Create date.

updated
string (date-time)

Last update date.

400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

402

Insufficient license.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

404

The requested resource can not be found.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
displayField
string

Name of the field that should be displayed in the UI. It's an internal field to be used by the local replication service.

ExampleName
replicationMessage
string

Message to be displayed in the replication UI. It's an internal field to be used by the local replication service.

ExampleName is required.
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.